> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventhandler.md).

# PropertyValueFormattingEventHandler

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

The event handler class that is invoked when a property in the grid formats the value cell.

{% tabs %}
{% tab title="C#" %}

```csharp
public delegate void PropertyValueFormattingEventHandler(Object sender, PropertyValueFormattingEventArgs e)
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Delegate Sub PropertyValueFormattingEventHandler(ByVal sender As [Object], ByVal e As PropertyValueFormattingEventArgs)
```

{% endtab %}
{% endtabs %}

## Parameters

| Name       | Type                                                                                                                          | Description                                                                                                                                                   |
| ---------- | ----------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sender** | [Object](https://docs.microsoft.com/dotnet/api/system.object)                                                                 | The source of the event.                                                                                                                                      |
| **e**      | [PropertyValueFormattingEventArgs](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventargs.md) | A [PropertyValueFormattingEventArgs](/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventargs.md) that contains the event data. |

## Fired By

| Name                                                                                                           | Description                                                       |
| -------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| [PropertyGrid.PropertyValueFormatting](/api/wisej.web/lists-and-grids/propertygrid.md#propertyvalueformatting) | Fired when the property value is being formatted to be displayed. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/propertygrid/wisej.web.propertyvalueformattingeventhandler.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
